var resultWrapper = document.querySelector('.spin-result-wrapper');
var wheel = document.querySelector('.wheel-img');

function spin() {
    if (!wheel.classList.contains('rotated')) {
        wheel.classList.add('super-rotation');
        setTimeout(function () {
            resultWrapper.style.display = "block";
        }, 8000);
        setTimeout(function () {
            $('.spin-wrapper').slideUp();
            $('.scroll_to_button').slideUp();
            $('.order_block').slideDown();
            start_timer();
        }, 10000);
        wheel.classList.add('rotated');
    }
}

document.querySelector('.cursor-text').addEventListener('click', spin);

var closePopup = document.querySelector('.close-popup');
$('.close-popup, .pop-up-button').click(function (e) {
    e.preventDefault();
    $('.spin-result-wrapper').fadeOut();
});


// -------------TIMER------------------------
function start_timer(){
    var fiveSeconds = new Date().getTime() + 600000;
    $('#clock').countdown(fiveSeconds, { elapse: true })
        .on('update.countdown', function(event) {
            var $this = $(this);
            if (event.elapsed) {
                $this.html("Time is over");
            } else {
                $this.html(event.strftime('<span>%M</span> : <span>%S</span>'));
            }
        });

}


// --------------SCROLL-------------------
          $("a").on("touchend, click", function(e) {
    e.preventDefault();
    $('body,html').animate({ scrollTop: $('.toscroll').offset().top }, 400);
});
$(".ac_footer a, .ac_gdpr_fix a").unbind("click");